org.eclipse.emf.cdo.server

## Class CDOServerBrowser.ContainerBased

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.concurrent.Worker
      - - org.eclipse.emf.cdo.server.CDOServerBrowser
        - - org.eclipse.emf.cdo.server.CDOServerBrowser.ContainerBased

- All Implemented Interfaces:
    INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation
  Enclosing class:
    CDOServerBrowser

      public static class CDOServerBrowser.ContainerBased
      extends CDOServerBrowser

  A `server browser` for the repositories in a `managed container`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOServerBrowser.ContainerBased.Factory` Creates `server browsers` for the repositories in a `managed container`.

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser

      `CDOServerBrowser.AbstractPage, CDOServerBrowser.ContainerBased, CDOServerBrowser.HistoryPage, CDOServerBrowser.LobsPage, CDOServerBrowser.LocksPage, CDOServerBrowser.PackagesPage, CDOServerBrowser.Page, CDOServerBrowser.RevisionsPage`

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.concurrent.Worker

      `Worker.WorkContext`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.concurrent.Worker

      `DEFAULT_ERROR_HANDLER, DEFAULT_TIMEOUT`

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerBased()`
    `ContainerBased(IContainer<?> container)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doActivate()`
    `protected void` | `doDeactivate()`
    `IContainer<?>` | `getContainer()`
    `protected IManagedContainer` | `getPagesContainer()`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser

      `clearParams, escape, formatTimeStamp, getParam, getPort, getRepositories, getRepository, getRepositoryNames, getThreadName, href, initPages, initParams, isParam, printHeader, removeParam, setPort, showMenu, showPage, work`

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.Worker

      `getActivationTimeout, getDeactivationTimeout, getGlobalErrorHandler, getWorkerThread, handleError, isDaemon, setActivationTimeout, setDaemon, setDeactivationTimeout, setGlobalErrorHandler`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### ContainerBased

          public ContainerBased(IContainer<?> container)

    - #### ContainerBased

          public ContainerBased()

  - ### Method Detail

    - #### getContainer

          public IContainer<?> getContainer()

    - #### getPagesContainer

          protected IManagedContainer getPagesContainer()

      Overrides:
        `getPagesContainer` in class `CDOServerBrowser`

    - #### doActivate

          protected void doActivate()
                             throws Exception

      Overrides:
        `doActivate` in class `CDOServerBrowser`
      Throws:
        `Exception`

    - #### doDeactivate

          protected void doDeactivate()
                               throws Exception

      Overrides:
        `doDeactivate` in class `CDOServerBrowser`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html